#%%
import pandas as pd
import matplotlib.pyplot as plt

fig, ax = plt.subplots()

# parameters
R = 3.25
sts = 20e-6
file_path = '../line/fig13/t0.675.csv'

df = pd.read_csv(file_path)

ax.plot(df['Points:0']/R, df['stress_rr']/sts)
ax.plot(df['Points:0']/R, df['stress_zz']/sts)
ax.plot(df['Points:0']/R, df['pre_wave']/sts)

fig.savefig("../figs/fig13b.png")
# %%
