#%%
import glob
import pandas as pd
import matplotlib.pyplot as plt

fig, ax = plt.subplots()

# parameters
sts = 20e-6
R = 3.25
file_paths = glob.glob('../line/fig14/t**')

def line(ax, file_path):
    df = pd.read_csv(file_path)
    t = float(file_path.split('t')[1].split('.csv')[0])
    ax.plot(df['Points:0']/R, df['stress_rr']/sts)
    
for file_path in sorted(file_paths):
    df = pd.read_csv(file_path)
    line(ax, file_path)

# ax.legend()
fig.savefig("../figs/fig14a.png")
# %%
