#%%
import numpy as np
import pandas as pd
import matplotlib.pyplot as plt

fig, ax = plt.subplots()

psic_list = np.array([1, 2, 3, 4, 5, 6, 7, 8, 12, 14])/7

df = pd.read_csv('../line/fig18/psie_max.csv')

sd_list = [0.5, 0.75, 1]

def line(ax, df):
    ax.plot(psic_list, df.d_max, 'o-')

for sd in sd_list:
    df_line = df[df['csv_file'].str.contains(f'SD{sd}')]
    line(ax, df_line)

fig.savefig("../figs/fig18a.png")
# %%
