#%%
import numpy as np
import pandas as pd
import matplotlib.pyplot as plt

fig, ax = plt.subplots()

gc_list = [0.5, 0.6, 0.7, 0.8, 0.9, 1.0, 1.25, 1.50, 1.75, 2.0, 2.25, 2.50, 2.75, 3]

df = pd.read_csv('../line/fig20/gc_max.csv')

psic = 7e-9
sd_list = [0.5, 0.75, 1]

def line(ax, df):
    ax.plot((df.psie_max - psic)/psic/gc_list, df.d_max, 'o-')

for sd in sd_list:
    df_line = df[df['csv_file'].str.contains(f'SD{sd}')]
    line(ax, df_line)

fig.savefig("../figs/fig20b.png")
# %%
