#%%
import glob
import pandas as pd
import matplotlib.pyplot as plt

fig, ax = plt.subplots()

files = glob.glob('../line/fig22/**')
R = 3.25

def line(ax, file):
    df = pd.read_csv(file)
    ax.plot(df['Points:0']/R, df['d'])

for file in files:
    line(ax, file)

ax.set(xlim=[0.4, 0.8], ylim=[0, 0.04])
fig.savefig("../figs/fig22b.png")
# %%
