#%%
import pandas as pd
import matplotlib.pyplot as plt

fig, ax = plt.subplots()

# parameters
R = 3.25
psic = 7.0e-9
file_path = '../line/fig13/t0.675.csv'

df = pd.read_csv(file_path)

ax.plot(df['Points:0']/R, df['psie_active']/psic)

fig.savefig("../figs/fig13a.png")
# %%
