#%%
import glob
import pandas as pd
import matplotlib.pyplot as plt

fig, ax = plt.subplots()

# parameters
psic = 7.0e-9
R = 3.25
file_paths = glob.glob('../line/fig14/t**')

def line(ax, file_path):
    df = pd.read_csv(file_path)
    ax.plot(df['Points:0']/R, df['psie_active']/psic)
    
for file_path in sorted(file_paths):
    line(ax, file_path)

# ax.legend()
fig.savefig("../figs/fig14b.png")
# %%
