#%%
import glob
import pandas as pd
import matplotlib.pyplot as plt

fig, ax = plt.subplots()

# parameters
R = 3.25
file_paths = glob.glob('../line/fig15b/**')

def line(ax, file_path):
    df = pd.read_csv(file_path)
    ax.plot(df['Points:0']/R, df['d'])
    
for file_path in sorted(file_paths):
    line(ax, file_path)
    
fig.savefig("../figs/fig15b.png")
# %%
