#%%
import pandas as pd
import matplotlib.pyplot as plt

fig, ax = plt.subplots()

p_list = [0.6, 0.7, 0.8, 0.9, 1.0, 1.1, 1.2, 1.3, 1.4, 1.5, 1.75, 2.0, 2.25, 2.5, 2.75, 3.0]

df = pd.read_csv('../line/fig17/p_max.csv')

R = 3.25
sd_list = [0.5, 0.75, 1]

def line(ax, df):
    ax.plot(p_list, df.d_max, 'o-')

for sd in sd_list:
    df_line = df[df['csv_file'].str.contains(f'SD{sd}')]
    line(ax, df_line)

fig.savefig("../figs/fig17a.png")
# %%
