#%%
import glob
import pandas as pd
import matplotlib.pyplot as plt

fig, ax = plt.subplots()

files = glob.glob('../line/fig23b/**')

def line(ax, file):
    df = pd.read_csv(file, header=None)
    ax.plot(df.iloc[:, 0], df.iloc[:, 1])

for file in files:
    line(ax, file)

fig.savefig("../figs/fig23b.png")
# %%
