#%%
import glob
import pandas as pd
import matplotlib.pyplot as plt

file_paths = glob.glob('../line/fig5/**')

fig, ax = plt.subplots()

# normalization parameters
sts = 20e-6
L = 2

def line(ax, file_path):
    df = pd.read_csv(file_path)
    t = float(file_path.split('t')[1].split('.csv')[0])
    ax.plot(df['Points:0']/L, df['p']/sts, label=f"t/T={t}")
    
for file_path in file_paths:
    line(ax, file_path)
    
ax.legend()
fig.savefig("../figs/fig5.png")
# %%
